#
# spec file for package ipa-ex-fonts
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ipa-ex-fonts
Version:        002.01
Release:        5.2
Summary:        Scalable Japanese TrueType Fonts Made by IPA
License:        IPA
Group:          System/X11/Fonts
Url:            http://ipafont.ipa.go.jp/
Source0:        IPAexfont00201.zip
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Japanese TrueType fonts made by IPA (Information-technology Promotion Agency).

%package -n ipa-ex-gothic-fonts
Summary:        Scalable "Gothic" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
Provides:       IPAexGothic = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAexGothic <= 001.02
%reconfigure_fonts_prereq

%description -n ipa-ex-gothic-fonts
"Gothic" Japanese TrueType font made by IPA (Information-technology Promotion Agency).

%package -n ipa-ex-mincho-fonts
Summary:        Scalable "Mincho" Japanese TrueType Font Made by IPA
Group:          System/X11/Fonts
Provides:       IPAexMincho = %{version}
Provides:       scalable-font-ja
Provides:       locale(ja)
Obsoletes:      IPAexMincho <= 001.02
%reconfigure_fonts_prereq

%description -n ipa-ex-mincho-fonts
"Mincho" Japanese TrueType font made by IPA (Information-technology Promotion Agency).

%prep
%setup -q -n IPAexfont00201

%build
for i in *.txt
do
    dos2unix $i
done

%install
mkdir -p %{buildroot}%{_ttfontsdir}
for i in *.ttf
do
    install -m 644 $i %{buildroot}%{_ttfontsdir}
done

%reconfigure_fonts_scriptlets -c -n ipa-ex-gothic-fonts

%reconfigure_fonts_scriptlets -c -n ipa-ex-mincho-fonts

%files -n ipa-ex-gothic-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipaexg.*

%files -n ipa-ex-mincho-fonts
%defattr(-,root,root)
%doc *.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/ipaexm.*

%changelog
* Sat Sep 14 2013 ftake@geeko.jp
- update to version 002.01
  * new six glyphs for JIS X 0213:2000
  * new 12 ideographic description characters
  * a new KangXi radical
  * slightly update shapes of 8 glyphs
  * update implementation of ideographic variation sequences
  * add vertical and horizontal shape change settings for hyphens
* Sat Sep  1 2012 ftake@geeko.jp
- update to version 001.03
  * glyphs of 55 characters are updated for the new daily-use
  characters table
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Tue Jun 12 2012 tiwai@suse.de
- Drop own font config files since the default config for these
  fonts are now included in fontconfig package
* Mon Jun 11 2012 tiwai@suse.de
- Fix the priority of ipa-ex-*-hinting.conf from 21 to 51 for
  avoiding the override by suse-hinting.conf (bnc#766319)
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Mar 29 2012 pgajdos@suse.com
- IPA license
* Fri Jan 20 2012 tiwai@suse.de
- Renamed IPAexGothic -> ipa-ex-gothic-fonts,
  IPAexMincho -> ipa-ex-mincho-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Wed Jul 28 2010 tiwai@suse.de
- add hintnone to default hintstyle
* Fri Jul 23 2010 tiwai@suse.de
- initial version: 001.02.
